%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname bin_prot

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Binary protocol generator
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/bin_prot
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx_compare-devel >= 0.17
BuildRequires:  ocaml-ppx_custom_printf-devel >= 0.17
BuildRequires:  ocaml-ppx_fields_conv-devel >= 0.17
BuildRequires:  ocaml-ppx_optcomp-devel >= 0.17
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.17
BuildRequires:  ocaml-ppx_stable_witness-devel >= 0.17
BuildRequires:  ocaml-ppx_variants_conv-devel >= 0.17

%rename ocaml-ppx_bin_prot

%description
This library contains functionality for reading and writing OCaml
values in a type-safe binary protocol. These functions are extremely
efficient and provide users with a convenient and safe way of
performing I/O on any extensionally defined data type. This means that
functions, objects, and values whose type is bound through a
polymorphic record field are not supported, but everything else is.

As of now, there is no support for cyclic or shared values. Cyclic
values will lead to non-termination whereas shared values, besides
requiring significantly more space when encoded, may lead to a
substantial increase in memory footprint when they are read back in.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_custom_printf-devel%{?_isa}
Requires:       ocaml-ppx_fields_conv-devel%{?_isa}
Requires:       ocaml-ppx_optcomp-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel
Requires:       ocaml-ppx_variants_conv-devel%{?_isa}
Obsoletes:      ocaml-bin-prot-devel < 113.24.00
Provides:       ocaml-bin-prot-devel = %{version}

%rename ocaml-ppx_bin_prot-devel

%description    devel
The %{name}-devel package contains libraries and signature files
for developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license COPYRIGHT.txt LICENSE.md LICENSE-Tywith.txt THIRD-PARTY.txt

%files devel -f .ofiles-devel


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2193322
- new version: 0.17.0

* Sat Oct 15 2022 neoclust <neoclust> 1:0.15.0-3.mga9
+ Revision: 1897061
- Rebuild against new ocaml-base

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859393
- Rebuild for OCaml 4.14

* Fri May 13 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857949
- Update to 0.15.0

* Wed Oct 13 2021 tv <tv> 1:0.14.0-5.mga9
+ Revision: 1751313
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 1:0.14.0-4.mga9
+ Revision: 1709752
- Obsolete ocaml-ppx_bin_prot

* Wed Mar 24 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1708986
- Fix devel deps

* Wed Mar 24 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1708984
- Fix devel deps

* Mon Mar 22 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1707790
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670821
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551930
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545108
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483911
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324487
- Update to 0.11.0

* Sat Sep 29 2018 umeabot <umeabot> 1:0.10.0-9.mga7
+ Revision: 1310945
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-7.mga7
+ Revision: 1310504
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-6.mga7
+ Revision: 1242237
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-5.mga7
+ Revision: 1242064
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1199038
- fix shared stubs libraries ocaml path

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-3.mga7
+ Revision: 1193303
- Fix dependency

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193293
- Add missing explicit dependency

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193214
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 25 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 978932
- Obsolete ocaml-bin-prot
- Obsolete ocaml-bin-prot

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 976204
- imported package ocaml-bin_prot

